diff --git saga/saga.spec saga/saga.spec.tmp
index cfdd851c2d..41d080e9a6 100644
--- saga/saga.spec
+++ saga/saga.spec.tmp
@@ -1,6 +1,6 @@
 Name:           saga
 Version:        2.2.7
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Geographic information system with an API for processing geodata 
 
 Group:          Applications/Engineering
@@ -62,12 +62,15 @@ SAGA is a geographic information system (GIS) with a special API
 for geographic data processing. This API makes it easy to implement
 new algorithms. The SAGA API supports grid data, vector data, and tables. 
 
-%package python
+%package -n python2-saga
+%{?python_provide:%python_provide python2-saga}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        SAGA Python interface
 Group:          Applications/Engineering
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-saga
 Python interface for SAGA
 
 %package devel
@@ -162,7 +165,7 @@ appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.a
 %{_datadir}/appdata/%{name}.appdata.xml
 %{_mandir}/man1/%{name}_*1*
 
-%files python
+%files -n python2-saga
 %{python_sitearch}/*.py*
 %{python_sitearch}/*.so
 
@@ -176,6 +179,10 @@ appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.a
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.7-7
+- Python 2 subpackage renamed to python2-saga
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.7-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git sanlock/sanlock.spec sanlock/sanlock.spec.tmp
index 0b4d3f7944..579cf3213f 100644
--- sanlock/sanlock.spec
+++ sanlock/sanlock.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           sanlock
 Version:        3.5.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A shared storage lock manager
 
 Group:          System Environment/Base
@@ -163,17 +163,20 @@ access to the shared disks.
 %{_libdir}/libsanlock_client.so.*
 %{_libdir}/libwdmd.so.*
 
-%package        python
+%package        -n python2-sanlock
+%{?python_provide:%python_provide python2-sanlock}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for the sanlock library
 Group:          Development/Libraries
 Requires:       %{name}-lib = %{version}-%{release}
 
-%description    python
+%description    -n python2-sanlock
 The %{name}-python package contains a module that permits applications
 written in the Python programming language to use the interface
 supplied by the sanlock library.
 
-%files          python
+%files          -n python2-sanlock
 %defattr(-,root,root,-)
 %{python_sitearch}/sanlock_python-*.egg-info
 %{python_sitearch}/sanlock.so
@@ -278,6 +281,10 @@ common sanlock lockspace.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.5.0-3
+- Python 2 subpackage renamed to python2-sanlock
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git saslwrapper/saslwrapper.spec saslwrapper/saslwrapper.spec.tmp
index 6ff27748ff..0253263be3 100644
--- saslwrapper/saslwrapper.spec
+++ saslwrapper/saslwrapper.spec.tmp
@@ -1,6 +1,6 @@
 Name:           saslwrapper
 Version:        0.16
-Release:        17%{?dist}
+Release:        18%{?dist}
 Summary:        Ruby and Python wrappers for the Cyrus SASL library
 Group:          System Environment/Libraries
 License:        ASL 2.0
@@ -32,12 +32,13 @@ Requires: %{name}%{?_isa} = %{version}-%{release}
 %description devel
 The header files for developing with saslwrapper.
 
-%package -n python-saslwrapper
+%package -n python2-saslwrapper
+%{?python_provide:%python_provide python2-saslwrapper}
 Summary: Python bindings for saslwrapper
 Group: System Environment/Libraries
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
-%description -n python-saslwrapper
+%description -n python2-saslwrapper
 Python bindings for the saslwrapper library.
 
 %package -n ruby-saslwrapper
@@ -80,7 +81,7 @@ make check
 %{_libdir}/libsaslwrapper.so
 %{_includedir}/saslwrapper.h
 
-%files -n python-saslwrapper
+%files -n python2-saslwrapper
 %{python_sitearch}/saslwrapper.py*
 %{python_sitearch}/_saslwrapper.so
 
@@ -88,6 +89,10 @@ make check
 %{ruby_vendorarchdir}/saslwrapper.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.16-18
+- Python 2 subpackage renamed to python2-saslwrapper
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git satyr/satyr.spec satyr/satyr.spec.tmp
index 8104cac07b..ee335455cb 100644
--- satyr/satyr.spec
+++ satyr/satyr.spec.tmp
@@ -26,7 +26,7 @@
 
 Name: satyr
 Version: 0.23
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: Tools to create anonymous, machine-friendly problem reports
 Group: System Environment/Libraries
 License: GPLv2+
@@ -66,12 +66,15 @@ Requires: %{name}%{?_isa} = %{version}-%{release}
 %description devel
 Development libraries and headers for %{name}.
 
-%package python
+%package -n python2-satyr
+%{?python_provide:%python_provide python2-satyr}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for %{name}
 Group: Development/Libraries
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-satyr
 Python bindings for %{name}.
 
 %if 0%{?with_python3}
@@ -127,7 +130,7 @@ make check || {
 %{_libdir}/libsatyr.so
 %{_libdir}/pkgconfig/satyr.pc
 
-%files python
+%files -n python2-satyr
 %dir %{python_sitearch}/%{name}
 %{python_sitearch}/%{name}/*
 
@@ -142,6 +145,10 @@ make check || {
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.23-3
+- Python 2 subpackage renamed to python2-satyr
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.23-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git setools/setools.spec setools/setools.spec.tmp
index 979d83bceb..8af19403c2 100644
--- setools/setools.spec
+++ setools/setools.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:           setools
 Version:        4.1.0
-Release:        4%{?setools_pre_ver:.%{setools_pre_ver}}%{?dist}
+Release:        5%{?setools_pre_ver:.%{setools_pre_ver}}%{?dist}
 Summary:        Policy analysis tools for SELinux
 
 License:        GPLv2
@@ -76,11 +76,14 @@ This package includes the following console tools:
   seinfoflow   Perform information flow analyses.
 
 
-%package     python
+%package     -n python2-setools
+%{?python_provide:%python_provide python2-setools}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:     Policy analysis tools for SELinux  
 Recommends:  libselinux-python
 
-%description python
+%description -n python2-setools
 SETools is a collection of graphical tools, command-line tools, and
 Python 2 modules designed to facilitate SELinux policy analysis.
 
@@ -156,7 +159,7 @@ popd
 %{_mandir}/man1/sedta*
 %{_mandir}/man1/seinfoflow*
 
-%files python
+%files -n python2-setools
 # %doc AUTHORS ChangeLog KNOWN-BUGS NEWS README
 %license COPYING COPYING.GPL COPYING.LGPL
 # For noarch packages: sitelib
@@ -177,6 +180,10 @@ popd
 %{_mandir}/man1/apol*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.1.0-5
+- Python 2 subpackage renamed to python2-setools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git skf/skf.spec skf/skf.spec.tmp
index f99bcaf070..8e62d5413d 100644
--- skf/skf.spec
+++ skf/skf.spec.tmp
@@ -25,7 +25,7 @@
 
 Name:		skf
 Version:	%{mainver}
-Release:	%{?betaver:0.}%{fedoraver}%{?betaver:.%betarel}%{?dist}.2
+Release:	%{?betaver:0.}%{fedoraver}%{?betaver:.%betarel}%{?dist}.3
 Summary:	Utility binary files in Simple Kanji Filter
 
 Group:		Applications/Text
@@ -72,7 +72,10 @@ Requires:	ruby(abi) = %{rubyabi}
 %endif
 Provides:	ruby(skf) = %{version}-%{release}
 
-%package	python
+%package	-n python2-skf
+%{?python_provide:%python_provide python2-skf}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python extension module for %{name}
 Group:		Development/Languages
 Requires:	%{name}-common = %{version}-%{release}
@@ -113,7 +116,7 @@ packages.
 %description	ruby
 This package contains Ruby extension module for skf.
 
-%description	python
+%description	-n python2-skf
 This package contains Python extension module for skf.
 
 %if %enable_python3
@@ -367,7 +370,7 @@ rm -rf %{buildroot}
 %defattr(-,root,root,-)
 %{ruby_vendorarchdir}/skf.so
 
-%files	python
+%files	-n python2-skf
 %defattr(-,root,root,-)
 %{python_sitearch}/_skf.so
 %{python_sitearch}/skf.py*
@@ -385,6 +388,10 @@ rm -rf %{buildroot}
 %{perl_vendorarch}/auto/skf/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.10.1-3.3
+- Python 2 subpackage renamed to python2-skf
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-3.2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git sphinxbase/sphinxbase.spec sphinxbase/sphinxbase.spec.tmp
index 21eb5fb820..9fc13ac209 100644
--- sphinxbase/sphinxbase.spec
+++ sphinxbase/sphinxbase.spec.tmp
@@ -1,6 +1,6 @@
 Name:           sphinxbase
 Version:        0.8
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Common library for CMU Sphinx voice recognition products
 
 License:        BSD
@@ -49,11 +49,14 @@ Summary:        Libraries for sphinxbase
 %description libs
 The libraries for sphinxbase.
 
-%package python
+%package -n python2-sphinxbase
+%{?python_provide:%python_provide python2-sphinxbase}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python 2 interface to sphinxbase
 Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-sphinxbase
 Python 2 interface to sphinxbase.
 
 %prep
@@ -154,10 +157,14 @@ chmod 0755 %{buildroot}%{python2_sitearch}/%{name}.so
 %{_libdir}/libsphinxad.so.*
 %{_libdir}/libsphinxbase.so.*
 
-%files python
+%files -n python2-sphinxbase
 %{python2_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8-15
+- Python 2 subpackage renamed to python2-sphinxbase
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git sphinxtrain/sphinxtrain.spec sphinxtrain/sphinxtrain.spec.tmp
index a802666030..198e67b1f1 100644
--- sphinxtrain/sphinxtrain.spec
+++ sphinxtrain/sphinxtrain.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           sphinxtrain
 Version:        1.0.8
-Release:        36%{?dist}
+Release:        37%{?dist}
 Summary:        Acoustic model trainer for CMU's Sphinx tools
 
 License:        BSD
@@ -52,12 +52,13 @@ SphinxTrain is Carnegie Mellon University's open source acoustic model
 trainer.  It contains the scripts and instructions necessary for building
 models for the CMU Sphinx Recognizer.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python interface to SphinxTrain
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 Requires:       sphinxbase-python%{?_isa}, python2-scipy%{?_isa}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Python interface to SphinxTrain.
 
 %prep
@@ -164,11 +165,15 @@ find %{buildroot}%{_libdir}/%{name}/scripts/lib -name \*.pm -o -name \*.txt | \
 %{_libdir}/%{name}/
 %exclude %{python2_sitearch}/*
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitearch}/SphinxTrain*.egg-info
 %{python2_sitearch}/cmusphinx/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.8-37
+- Python 2 subpackage renamed to python2-sphinxtrain
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-36
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git stfl/stfl.spec stfl/stfl.spec.tmp
index 12eb14aaef..bfd43102d5 100644
--- stfl/stfl.spec
+++ stfl/stfl.spec.tmp
@@ -1,6 +1,6 @@
 Name:           stfl
 Version:        0.22
-Release:        22%{?dist}
+Release:        23%{?dist}
 Summary:        The Structured Terminal Forms Language/Library
 
 Group:          System Environment/Libraries
@@ -41,12 +41,15 @@ Requires:       %{name} = %{version}-%{release}
 Perl binding for STFL
 
 
-%package        python
+%package        -n python2-stfl
+%{?python_provide:%python_provide python2-stfl}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python binding for STFL
 Group:          Development/Libraries
 Requires:       %{name} = %{version}-%{release}
 
-%description    python
+%description    -n python2-stfl
 Python binding for STFL.
 
 
@@ -133,7 +136,7 @@ rm -f %{buildroot}%{perl_archlib}/perllocal.pod
 %{perl_vendorarch}/*.pm
 %{perl_vendorarch}/auto/stfl/*
 
-%files python
+%files -n python2-stfl
 %{python_sitearch}/stfl.py*
 %{python_sitearch}/_stfl.so
 
@@ -142,6 +145,10 @@ rm -f %{buildroot}%{perl_archlib}/perllocal.pod
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.22-23
+- Python 2 subpackage renamed to python2-stfl
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-22
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git stp/stp.spec stp/stp.spec.tmp
index 56b604b111..63b3eb52e3 100644
--- stp/stp.spec
+++ stp/stp.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:		stp
 Version:	2.1.2
-Release:	7.%{gitdate}git.%{shorttag}%{?dist}
+Release:	8.%{gitdate}git.%{shorttag}%{?dist}
 Summary:	Constraint solver/decision procedure
 
 License:	MIT
@@ -56,12 +56,13 @@ Development files for the STP (Simple Theorem Prover),
 a constraint solver (also referred to as a decision procedure
 or automated prover).  Provides a static library.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:	Python 2 interface to STP
 Requires:	%{name} = %{version}-%{release}
 BuildArch:	noarch
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Python 2 interface to STP.
 
 %prep
@@ -110,10 +111,14 @@ fi
 %{_libdir}/cmake/STP/
 %{_libdir}/libstp.so
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitelib}/%{name}/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.2-8.20151122git.3785148
+- Python 2 subpackage renamed to python2-stp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-7.20151122git.3785148
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git subversion/subversion.spec subversion/subversion.spec.tmp
index 1290839ba1..2af19157f2 100644
--- subversion/subversion.spec
+++ subversion/subversion.spec.tmp
@@ -25,7 +25,7 @@
 Summary: A Modern Concurrent Version Control System
 Name: subversion
 Version: 1.9.6
-Release: 3%{?dist}
+Release: 4%{?dist}
 License: ASL 2.0
 Group: Development/Tools
 URL: http://subversion.apache.org/
@@ -83,11 +83,14 @@ Conflicts: libserf%{?_isa} < 1.3.0
 The subversion-libs package includes the essential shared libraries
 used by the Subversion version control tools.
 
-%package python
+%package -n python2-subversion
+%{?python_provide:%python_provide python2-subversion}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Group: Development/Libraries
 Summary: Python bindings for Subversion Version Control system
 
-%description python
+%description -n python2-subversion
 The subversion-python package includes the Python bindings to the
 Subversion libraries.
 
@@ -428,7 +431,7 @@ make check-javahl
 %endif
 %exclude %{_libdir}/libsvn_auth_gnome*
 
-%files python
+%files -n python2-subversion
 %{python_sitearch}/svn
 %{python_sitearch}/libsvn
 
@@ -471,6 +474,10 @@ make check-javahl
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.6-4
+- Python 2 subpackage renamed to python2-subversion
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.6-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git sword/sword.spec sword/sword.spec.tmp
index 2feefd67d9..fb44248d36 100644
--- sword/sword.spec
+++ sword/sword.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           sword           
 Version:        1.7.4
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Free Bible Software Project
 License:        GPLv2
 URL:            http://www.crosswire.org/sword/
@@ -52,12 +52,15 @@ a packaged release as updates to the utilities do not affect the
 release schedule of the library. However, these utilities were the
 latest at the time of the current library release.
 
-%package python
+%package -n python2-sword
+%{?python_provide:%python_provide python2-sword}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:  Python bindings for Sword
 Requires: %{name}%{?_isa} = %{version}-%{release}
 Requires: python
 
-%description python
+%description -n python2-sword
 Python bindings for The SWORD Library.
 
 %prep
@@ -120,7 +123,7 @@ find %{buildroot} -type f -name "*.la" -delete -print
 %{_bindir}/mod2osis
 %{_bindir}/emptyvss
 
-%files python
+%files -n python2-sword
 %{python2_sitearch}/Sword.py
 %{python2_sitearch}/Sword.pyc
 %{python2_sitearch}/Sword.pyo
@@ -128,6 +131,10 @@ find %{buildroot} -type f -name "*.la" -delete -print
 %{python2_sitearch}/sword-%{version}-py2.7.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.4-12
+- Python 2 subpackage renamed to python2-sword
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.4-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git thunarx-python/thunarx-python.spec thunarx-python/thunarx-python.spec.tmp
index e4ce957e34..c4b675b811 100644
--- thunarx-python/thunarx-python.spec
+++ thunarx-python/thunarx-python.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:    thunarx-python
 Version: 0.3.0
-Release: 4%{?dist}
+Release: 5%{?dist}
 Summary: Python bindings for the Thunar Extension Framework	
 
 License: LGPLv2+
@@ -16,10 +16,20 @@ BuildRequires: pygobject2-devel >= 2.6.0
 BuildRequires: gnome-python2-devel >= 2.12.0
 BuildRequires: gtk-doc >= 1.9
 
-%description
-These bindings allow one to create python plugins for Thunar.
+%global _description\
+These bindings allow one to create python plugins for Thunar.\
 
 
+%description %_description
+
+%package -n python2-thunarx
+Summary: %summary
+%{?python_provide:%python_provide python2-thunarx}
+# Remove before F30
+Provides: thunarx-python = %{version}-%{release}
+
+%description -n python2-thunarx %_description
+
 %prep
 %setup -q
 %patch1 -p1
@@ -34,7 +44,7 @@ find %{buildroot}%{_libdir} -name *.la -print -delete
 find %{buildroot} -name style.css -print -exec mv '{}' docs/html \;
 mkdir -p %{buildroot}/%{_datadir}/thunarx-python/extensions
 
-%files
+%files -n python2-thunarx
 %license COPYING
 %doc AUTHORS ChangeLog NEWS README
 %{_libdir}/thunarx-2/
@@ -45,6 +55,10 @@ mkdir -p %{buildroot}/%{_datadir}/thunarx-python/extensions
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-5
+- Python 2 subpackage renamed to python2-thunarx
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git tiled/tiled.spec tiled/tiled.spec.tmp
index a1a6512738..24cfb59ded 100644
--- tiled/tiled.spec
+++ tiled/tiled.spec.tmp
@@ -1,6 +1,6 @@
 Name:           tiled
 Version:        0.18.2
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Tiled Map Editor
 # tiled itself is GPLv2+, libtiled and tmxviewer are BSD
 License:        GPLv2+ and BSD
@@ -14,15 +14,25 @@ BuildRequires:  desktop-file-utils
 BuildRequires:  python-devel
 BuildRequires:  libappstream-glib
 
-%description
-Tiled is a general purpose tile map editor. It is built to be easy to use,
-yet flexible enough to work with varying game engines, whether your game
-is an RPG, platformer or Breakout clone. Tiled is free software and written
-in C++, using the Qt application framework.
-
-This package contains the tiled application and tmxviewer, a simple application
+%global _description\
+Tiled is a general purpose tile map editor. It is built to be easy to use,\
+yet flexible enough to work with varying game engines, whether your game\
+is an RPG, platformer or Breakout clone. Tiled is free software and written\
+in C++, using the Qt application framework.\
+\
+This package contains the tiled application and tmxviewer, a simple application\
 to view Tiled maps.
 
+%description %_description
+
+%package -n python2-tiled
+Summary: %summary
+%{?python_provide:%python_provide python2-tiled}
+# Remove before F30
+Provides: tiled = %{version}-%{release}
+
+%description -n python2-tiled %_description
+
 %package plugin-python
 Summary:        Python plugin for Tiled
 License:        GPLv2+
@@ -140,7 +150,7 @@ fi
 /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 
 
-%files -f %{name}.lang
+%files -n python2-tiled -f %{name}.lang
 %doc AUTHORS NEWS.md README.md COPYING LICENSE.GPL LICENSE.BSD
 %{_bindir}/automappingconverter
 %{_bindir}/%{name}
@@ -194,6 +204,10 @@ fi
 %{_libdir}/%{name}/plugins/libdefold.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.18.2-3
+- Python 2 subpackage renamed to python2-tiled
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git totpcgi/totpcgi.spec totpcgi/totpcgi.spec.tmp
index 9e5929cdce..094a496983 100644
--- totpcgi/totpcgi.spec
+++ totpcgi/totpcgi.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:       totpcgi
 Version:    0.5.5
-Release:    10%{?dist}
+Release:    11%{?dist}
 Summary:    A centralized totp solution based on google-authenticator
 
 License:    GPLv2+
@@ -30,11 +30,12 @@ Requires:   python-totpcgi = %{version}-%{release}
 A CGI/FCGI application to centralize google-authenticator deployments.
 
 
-%package -n python-totpcgi
+%package -n python2-totpcgi
+%{?python_provide:%python_provide python2-totpcgi}
 Summary:    Python libraries required for totpcgi
 Requires:   py-bcrypt, python-pyotp, python-crypto, python-passlib
 
-%description -n python-totpcgi
+%description -n python2-totpcgi
 This package includes the Python libraries required for totpcgi and
 totpcgi-provisioning.
 
@@ -129,7 +130,7 @@ done
 /usr/sbin/hardlink -cv %{buildroot}%{_datadir}/selinux
 
 
-%pre -n python-totpcgi
+%pre -n python2-totpcgi
 # We always add both the totpcgi and totpcgi-provisioning user
 /usr/sbin/useradd -c "Totpcgi user" \
     -M -s /sbin/nologin -d /var/lib/totpcgi %{totpcgiuser} 2> /dev/null || :
@@ -183,7 +184,7 @@ fi
 %config(noreplace) %{_sysconfdir}/httpd/conf.d/totpcgi.conf
 %attr(-, %{totpcgiprovuser}, %{totpcgiuser}) %{_localstatedir}/lib/totpcgi
 
-%files -n python-totpcgi
+%files -n python2-totpcgi
 %doc COPYING
 %{python_sitelib}/*
 %dir %attr(-, %{totpcgiprovuser}, %{totpcgiuser}) %{_sysconfdir}/totpcgi
@@ -207,6 +208,10 @@ fi
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.5-11
+- Python 2 subpackage renamed to python2-totpcgi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git trademgen/trademgen.spec trademgen/trademgen.spec.tmp
index 8d5eed4744..5933b2b116 100644
--- trademgen/trademgen.spec
+++ trademgen/trademgen.spec.tmp
@@ -18,7 +18,7 @@
 #
 Name:           trademgen
 Version:        1.00.2
-Release:        12%{?dist}
+Release:        13%{?dist}
 
 Summary:        C++ Simulated Travel Demand Generation Library
 
@@ -75,14 +75,17 @@ for %{name}. All that documentation is generated thanks to Doxygen
 online (http://%{name}.org).
 
 %if %{with python}
-%package        python
+%package        -n python2-trademgen
+%{?python_provide:%python_provide python2-trademgen}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for %{name}
 Group:          Development/Languages
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-%description python
+%description -n python2-trademgen
 This package contains Python libraries for %{name}
 %endif
 
@@ -162,7 +165,7 @@ rm -rf $RPM_BUILD_ROOT
 %doc COPYING
 
 %if %{with python}
-%files python
+%files -n python2-trademgen
 %{python2_sitearch}/libpy%{name}/
 %{_mandir}/man1/py%{name}.1.*
 %{_mandir}/man1/%{name}_drawBookingArrivals.1.*
@@ -170,6 +173,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.00.2-13
+- Python 2 subpackage renamed to python2-trademgen
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.2-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git udiskie/udiskie.spec udiskie/udiskie.spec.tmp
index 8e81875a92..288685d0b5 100644
--- udiskie/udiskie.spec
+++ udiskie/udiskie.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           udiskie
 Version:        1.4.8
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Removable disk auto-mounter
 
 License:        MIT
@@ -50,13 +50,14 @@ mounting and unmounting operations.
 # Define packages required by both python versions
 %global shared_requires udisks2 gtk3
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary: Python 2 module for %{name} disk automounter
 %global py2_requires %{shared_requires} pygobject3 python-docopt PyYAML
 BuildRequires: %{py2_requires}
 Requires: %{py2_requires}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 %{name} is a front-end for UDisks written in python. This package provides the
 python 2 modules used by the %{name} binaries.
 
@@ -187,7 +188,7 @@ popd
 %{_bindir}/%{name}-umount
 %{_datadir}/icons/hicolor/scalable/actions/udiskie*
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %doc CONTRIBUTORS README.rst
 %license COPYING
 %{python2_sitelib}/*
@@ -201,6 +202,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.8-6
+- Python 2 subpackage renamed to python2-udiskie
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git unbound/unbound.spec unbound/unbound.spec.tmp
index 3b67662ffb..7501029218 100644
--- unbound/unbound.spec
+++ unbound/unbound.spec.tmp
@@ -21,7 +21,7 @@
 Summary: Validating, recursive, and caching DNS(SEC) resolver
 Name: unbound
 Version: 1.6.4
-Release: 2%{?extra_version:.%{extra_version}}%{?dist}
+Release: 3%{?extra_version:.%{extra_version}}%{?dist}
 License: BSD
 Url: http://www.nlnetlabs.nl/unbound/
 Source: http://www.unbound.net/downloads/%{name}-%{version}%{?extra_version}.tar.gz
@@ -112,14 +112,15 @@ Requires(pre): shadow-utils
 Contains libraries used by the unbound server and client applications
 
 %if 0%{with_python}
-%package -n python-unbound
+%package -n python2-unbound
+%{?python_provide:%python_provide python2-unbound}
 Summary: Python 2 modules and extensions for unbound
 Group: Applications/System
 Requires: %{name}-libs%{?_isa} = %{version}-%{release}
 Provides: unbound-python = %{version}-%{release}
 Obsoletes: unbound-python < %{version}-%{release}
 
-%description -n python-unbound
+%description -n python2-unbound
 Python 2 modules and extensions for unbound
 %endif # with_python
 
@@ -399,7 +400,7 @@ popd
 %{_mandir}/man8/*
 
 %if 0%{with_python}
-%files -n python-unbound
+%files -n python2-unbound
 %license pythonmod/LICENSE
 %{python2_sitearch}/*
 %doc libunbound/python/examples/*
@@ -445,6 +446,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.4-3
+- Python 2 subpackage renamed to python2-unbound
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git urjtag/urjtag.spec urjtag/urjtag.spec.tmp
index 742a213532..301676b38d 100644
--- urjtag/urjtag.spec
+++ urjtag/urjtag.spec.tmp
@@ -1,6 +1,6 @@
 Name:           urjtag
 Version:        0.10
-Release:        16%{?dist}.20111215gite1a4227
+Release:        17%{?dist}.20111215gite1a4227
 Summary:        A tool for communicating over JTAG with flash chips and CPUs
 Group:          Development/Tools
 
@@ -46,13 +46,16 @@ Requires:       %{name} = %{version}-%{release}
 The %{name}-devel package contains libraries and header files for
 developing applications that use %{name}.
 
-%package        python
+%package        -n python2-urjtag
+%{?python_provide:%python_provide python2-urjtag}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for %{name}
 Group:          Development/Libraries
 Requires:       %{name} = %{version}-%{release}
 
 
-%description    python
+%description    -n python2-urjtag
 Python bindings and examples for %{name}.
 
 
@@ -100,7 +103,7 @@ rm -f %{buildroot}%{_libdir}/*.a
 %{_libdir}/liburjtag.so
 %{_libdir}/pkgconfig/urjtag.pc
 
-%files python
+%files -n python2-urjtag
 %{_libdir}/python*/site-packages/urjtag*.egg-info
 %{_libdir}/python*/site-packages/urjtag.so
 %doc urjtag/doc/urjtag-python.txt 
@@ -109,6 +112,10 @@ rm -f %{buildroot}%{_libdir}/*.a
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10-17.20111215gite1a4227
+- Python 2 subpackage renamed to python2-urjtag
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-16.20111215gite1a4227
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
